Get a news post
curl --request GET \
--url https://{domain}/api/application/modules/news/posts/{post} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/modules/news/posts/{post}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/modules/news/posts/{post}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/modules/news/posts/{post}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/modules/news/posts/{post}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/modules/news/posts/{post}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/modules/news/posts/{post}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 4,
"title": "Our new control panel is live",
"slug": "new-control-panel",
"url": "https://billing.example.com/news/new-control-panel",
"description": "Short interruptions on Saturday night while we upgrade the network.",
"icon": null,
"layout": "authenticated",
"og_image": "https://billing.example.com/storage/news/frankfurt.png",
"meta_title": null,
"meta_description": null,
"reactions_enabled": true,
"reaction_counts": {},
"published_at": "2026-04-03T09:08:43Z",
"created_at": "2026-04-03T09:08:43Z",
"updated_at": "2026-04-03T09:08:43Z",
"status": "published",
"visibility": "all",
"author": null,
"content": "# Welcome to Our News Article\n\nThis is a sample news article written in Markdown. You can edit this content using the editor below.\n\n## Getting Started\n\nReplace this content with your own news article. You can use standard Markdown syntax:\n\n- **Bold text** for emphasis\n- *Italic text* for subtle emphasis\n- [Links](https://example.com) to external resources\n- > Blockquotes for important information\n- `Inline code` for technical terms\n\n## Features\n\n- Full Markdown support\n- Responsive design\n- SEO optimization\n- User reactions (if enabled)\n- Custom permissions\n\n## Code Examples\n\n```javascript\n\n..."
},
"meta": {
"request_id": "71ebac1e-3b9e-4516-b0a3-bc474dd53e76"
}
}News
Get a news post
One post with its Markdown content. The public API only returns published posts visible to guests, and answers 404 for everything when the News section is set to members only.
Permission: modules.news.posts.read
GET
/
application
/
modules
/
news
/
posts
/
{post}
Get a news post
curl --request GET \
--url https://{domain}/api/application/modules/news/posts/{post} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/modules/news/posts/{post}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/modules/news/posts/{post}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/modules/news/posts/{post}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/modules/news/posts/{post}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/modules/news/posts/{post}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/modules/news/posts/{post}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 4,
"title": "Our new control panel is live",
"slug": "new-control-panel",
"url": "https://billing.example.com/news/new-control-panel",
"description": "Short interruptions on Saturday night while we upgrade the network.",
"icon": null,
"layout": "authenticated",
"og_image": "https://billing.example.com/storage/news/frankfurt.png",
"meta_title": null,
"meta_description": null,
"reactions_enabled": true,
"reaction_counts": {},
"published_at": "2026-04-03T09:08:43Z",
"created_at": "2026-04-03T09:08:43Z",
"updated_at": "2026-04-03T09:08:43Z",
"status": "published",
"visibility": "all",
"author": null,
"content": "# Welcome to Our News Article\n\nThis is a sample news article written in Markdown. You can edit this content using the editor below.\n\n## Getting Started\n\nReplace this content with your own news article. You can use standard Markdown syntax:\n\n- **Bold text** for emphasis\n- *Italic text* for subtle emphasis\n- [Links](https://example.com) to external resources\n- > Blockquotes for important information\n- `Inline code` for technical terms\n\n## Features\n\n- Full Markdown support\n- Responsive design\n- SEO optimization\n- User reactions (if enabled)\n- Custom permissions\n\n## Code Examples\n\n```javascript\n\n..."
},
"meta": {
"request_id": "71ebac1e-3b9e-4516-b0a3-bc474dd53e76"
}
}Authorizations
Was this page helpful?

